# Class ThreadPoolExecutor.AbortPolicy

java.lang.Object
java.util.concurrent.ThreadPoolExecutor.AbortPolicy

All Implemented Interfaces:
  `RejectedExecutionHandler`

Enclosing class:
  `ThreadPoolExecutor`

public static class ThreadPoolExecutor.AbortPolicy extends Object implements RejectedExecutionHandler
A handler for rejected tasks that throws a `RejectedExecutionException`. This is the default handler for `ThreadPoolExecutor` and `ScheduledThreadPoolExecutor`.

Since:
  1.5

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbortPolicy()`
  Creates an `AbortPolicy`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `rejectedExecution(Runnable r, ThreadPoolExecutor e)`
  Always throws RejectedExecutionException.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbortPolicy

    public AbortPolicy()
    Creates an `AbortPolicy`.

- ## Method Details

  - ### rejectedExecution

    public void rejectedExecution(Runnable r, ThreadPoolExecutor e)
    Always throws RejectedExecutionException.
    Specified by:
      `rejectedExecution` in interface `RejectedExecutionHandler`
    Parameters:
      `r` - the runnable task requested to be executed
      `e` - the executor attempting to execute this task
    Throws:
      `RejectedExecutionException` - always